<bugID>1261655<Summary>Scratchpad can not save while change ua</Summary><Description>This is a regression since Firefox44.0.

Reproducible: Always

Steps to reproduce:
1. Open about:config
1. Set devtools.chrome.enabled = true
2. change ua to Android / Chrome. i.e,
   general.useragent.override = ozilla/5.0 (Linux; Android 5.1.1; HWT31 Build/Federer) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/43.0.2357.93 Safari/537.36

3. Open Scratchpad and change Environment to browser
4. File &gt; Save As &gt; Save
5. Attempt to close the Scratchpad

Actual Results:
It happens nothing saved.
Cannot close.

Expected Results:
Save and Close normaly</Description></bugID>